﻿using System.Collections.Generic;
using System.Xml.Serialization;

namespace Petzold.Phone.EBookReader
{
    public class ChapterInfo
    {
        public ChapterInfo()
        {
            this.Pages = new List<PageInfo>();
        }

        public string Title { set; get; }

        public int FirstParagraph { set; get; }

        public int ParagraphCount { set; get; }

        public bool IsLastChapter { set; get; }

        public List<PageInfo> Pages { set; get; }

        // This is solely for the benefit of ChaptersPage
        [XmlIgnore]
        public bool IsCurrentChapter { set; get; }
    }
}
