﻿using System.Windows;
using System.Windows.Media;

namespace Petzold.Phone.EBookReader
{
    public interface IPageProvider
    {
        bool SetPageSize(Size size);

        bool SetFont(FontFamily fontFamily, double FontSize);

        FrameworkElement GetPage(int chapterIndex, int pageIndex);

        FrameworkElement GetPage(int characterCount, out int chapterIndex, out int pageIndex);

        FrameworkElement QueryLastPage(int chapterIndex, out int pageIndex);

        FrameworkElement GetLastPage(int chapterIndex, out int pageIndex);
    }
}
